# vim: set ts=4 sw=4 si ai sta tw=100:
# Haver::Core - Modules used by both Haver::Client and Haver::Server.
# 
# Copyright (C) 2005 Dylan Hardison.
# 
# This module is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This module is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this module; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package Haver::Core;

our $VERSION = 0.08;

1;
__END__

=head1 NAME

Haver::Core - Modules used by both Haver::Client and Haver::Server.

=head1 SYNOPSIS

   # This module doesn't really do anything.
   # It is just a place holder for documentation...

=head1 DESCRIPTION

The Haver-Core CPAN distribution contains several modules used by both L<Haver::Client>
and L<Haver::Server>. They are listed in the L</SEE ALSO> section below.

=head1 BUGS

None known. Bug reports are welcome. Please use our bug tracker at
L<http://gna.org/bugs/?func=additem&group=haver>.

=head1 AUTHOR

Dylan Hardison E<lt>dylan@haverdev.orgE<gt>.

=head1 SEE ALSO

L<Haver::Base>, L<Haver::Session>, L<Haver::Wheel>, L<Haver::Config>,
L<Haver::Protocol>, L<Haver::Protocol::Filter>, L<Haver::Logger>.

L<http://www.haverdev.org/>.

=head1 COPYRIGHT and LICENSE

Copyright (C) 2005 by Dylan Hardison. All Rights Reserved.

This module is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This module is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this module; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

